curl -X GET "https://api.affonso.io/v1/program/notifications" \ -H "Authorization: Bearer sk_live_your_api_key"
{ "success": true, "data": [ { "id": "cmvicip2d000d711cwlezg3nt", "email_type_id": "welcome", "is_active": true, "custom_subject": "Welcome to our affiliate program!", "custom_body": null, "type": { "name": "Welcome Email", "description": "Sent when an affiliate joins a program", "icon": "Mail", "is_customizable": true, "target_audience": "affiliate" } }, { "id": null, "email_type_id": "campaign-submission-approved", "is_active": true, "custom_subject": null, "custom_body": null, "type": { "name": "Campaign submission approved", "description": "Sent to partners when a campaign submission is approved", "icon": "Trophy", "is_customizable": true, "target_audience": "affiliate" } } ]}
Notifications
List Notification Settings
Get all notification types with your team-specific settings
GET
/
v1
/
program
/
notifications
curl -X GET "https://api.affonso.io/v1/program/notifications" \ -H "Authorization: Bearer sk_live_your_api_key"
{ "success": true, "data": [ { "id": "cmvicip2d000d711cwlezg3nt", "email_type_id": "welcome", "is_active": true, "custom_subject": "Welcome to our affiliate program!", "custom_body": null, "type": { "name": "Welcome Email", "description": "Sent when an affiliate joins a program", "icon": "Mail", "is_customizable": true, "target_audience": "affiliate" } }, { "id": null, "email_type_id": "campaign-submission-approved", "is_active": true, "custom_subject": null, "custom_body": null, "type": { "name": "Campaign submission approved", "description": "Sent to partners when a campaign submission is approved", "icon": "Trophy", "is_customizable": true, "target_audience": "affiliate" } } ]}
Retrieve all available notification types along with your team-specific customizations. If you haven’t customized a notification type yet, defaults are returned with is_active set to true.The list includes the campaign-submission-approved type, which emails the partner after a campaign submission is approved. Disabling it does not affect earning creation.